Bridgly SDK
import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.listProjects({
username: "string",
count: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/github/list-projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"count": 10,
"after": "<string>"
}
'import requests
url = "https://api.bridgly.app/github/list-projects"
payload = {
"username": "<string>",
"count": 10,
"after": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', count: 10, after: '<string>'})
};
fetch('https://api.bridgly.app/github/list-projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timeMs": 123,
"creditsCost": 123,
"data": {
"username": "<string>",
"projects": [
{
"id": "<string>",
"number": 123,
"title": "<string>",
"shortDescription": "<string>",
"url": "<string>",
"closed": true,
"public": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"after": "<string>"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}GitHub
List a GitHub user's public projects
POST
/
github
/
list-projects
Bridgly SDK
import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.listProjects({
username: "string",
count: 10,
});
if (res.type === 'success') console.log(res.data);Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
application/json
Was this page helpful?